Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1075923 - tog-pegasus porting to ppc64le architecture
Summary: tog-pegasus porting to ppc64le architecture
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tog-pegasus
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-13 08:34 UTC by Michel Normand
Modified: 2014-03-18 12:09 UTC (History)
3 users (show)

Fixed In Version: tog-pegasus-2.13.0-10.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-18 12:09:24 UTC


Attachments (Terms of Use)
tog-pegasus.ppc64le.patch (deleted)
2014-03-13 08:34 UTC, Michel Normand
no flags Details | Diff

Description Michel Normand 2014-03-13 08:34:59 UTC
Created attachment 873839 [details]
tog-pegasus.ppc64le.patch

Description of problem: tog-pegasus do not build on new ppc64le architecture

tog-pegasus-2.13.0-9.fc21

Steps to Reproduce:
1. fedpkg clone -a tog-pegasus
2. fedpkg prep
3. fedpkg mockbuild

Actual results:
+ make -j2 -f /builddir/build/BUILD/pegasus/Makefile.Release create_ProductVersionFile
/builddir/build/BUILD/pegasus/mak/config.mak:333: *** PEGASUS_PLATFORM environment variable must be set to one of the following:  SOLARIS_X86_64_CC   WIN32_IX86_MSVC   WIN64_IA64_MSVC   LINUX_ZSERIES_GNU   SOLARIS_SPARC_64_CC   VMS_IA64_DECCXX   HPUX_PARISC_ACC   SOLARIS_IX86_CC   PASE_ISERIES_IBMCXX   VMS_ALPHA_DECCXX   LINUX_X86_64_CLANG   LINUX_IX86_GNU   SOLARIS_CC   DARWIN_PPC_GNU   TRU64_ALPHA_DECCXX   LINUX_XSCALE_GNU   ZOS_ZSERIES64_IBM   WIN64_X86_64_MSVC   AIX_RS_IBMCXX   HPUX_PARISC_GNU   HPUX_IA64_ACC   LINUX_SH4_GNU   LINUX_IX86_CLANG   LINUX_PPC64_GNU   SOLARIS_SPARC_CC   HPUX_ACC   LINUX_AARCH64_GNU   DARWIN_GNU   HPUX_IA64_GNU   LINUX_SPARCV9_GNU   LINUX_PPC_E500_GNU   HPUX_GNU   DARWIN_IX86_GNU   LINUX_IA64_GNU   LINUX_PPC_GNU   LINUX_ZSERIES64_GNU   ZOS_ZSERIES_IBM   LINUX_X86_64_GNU   LINUX_SPARC64_GNU   SOLARIS_SPARC_GNU  .  Stop.
RPM build errors:


I am attaching a tog-pegasus-ppc64le.patch  RFC

Comment 1 Vitezslav Crhonek 2014-03-17 15:17:07 UTC
Looks fine. However I don't have access to ppc64le architecture, are you able to test at least basic functionality? Starting the server and connecting to it with osinfo would be sufficient in my opinion.

Some test are also done during the build in %check section.

Comment 2 Michel Normand 2014-03-17 16:23:24 UTC
I built the package with koji ppc64le server, the build log extract appended below reports a set of test that are probably sufficient to validate the patch.

===
...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.5Qu9w2
+ umask 022
+ cd /builddir/build/BUILD
+ cd pegasus
+ export LD_LIBRARY_PATH=/builddir/build/BUILDROOT/tog-pegasus-2.13.0-9.fc21.ppc64le/usr/lib64
+ LD_LIBRARY_PATH=/builddir/build/BUILDROOT/tog-pegasus-2.13.0-9.fc21.ppc64le/usr/lib64
+ cd /builddir/build/BUILDROOT/tog-pegasus-2.13.0-9.fc21.ppc64le/usr/share/Pegasus/test
+ make prestarttests
./bin/TestAbstract +++++ passed all tests
./bin/TestArray +++++ passed all tests
./bin/TestAsyncQueue +++++ passed all tests
./bin/TestBase64 +++++ passed all tests
./bin/TestClassDecl +++++ passed all tests
./bin/TestDateTime +++++ passed all tests
./bin/TestFlavor +++++ passed all tests
./bin/TestFormatter +++++ passed all tests
./bin/TestHashTable +++++ passed all tests
./bin/TestInstanceDecl +++++ passed all tests
./bin/TestList +++++ passed all tests
./bin/TestLogger +++++ passed all tests
./bin/TestMethod +++++ passed all tests
./bin/TestObject +++++ passed all tests
./bin/TestOperationContext +++++ passed all tests
./bin/TestParamValue +++++ passed all tests
./bin/TestParameter +++++ passed all tests
./bin/TestProperty +++++ passed all tests
./bin/TestQualifier +++++ passed all tests
./bin/TestQualifierDecl +++++ passed all tests
./bin/TestQualifierList +++++ passed all tests
./bin/TestReference +++++ passed all tests
./bin/TestResolve +++++ passed all tests
./bin/TestResponseHandler +++++ passed all tests
./bin/TestScope +++++ passed all tests
./bin/TestStack +++++ passed all tests
./bin/TestStopwatch +++++ passed all tests
./bin/TestStrToInstName +++++ passed all tests
./bin/TestString +++++ passed all tests
./bin/TestTimeValue +++++ passed all tests
./bin/TestToMof +++++ passed all tests
./bin/TestTracer +++++ passed all tests
./bin/TestValidateClass +++++ passed all tests
./bin/TestValue +++++ passed all tests
+ exit 0
===

Comment 3 Vitezslav Crhonek 2014-03-18 12:09:24 UTC
I think it's sufficient too... Fixed in tog-pegasus-2.13.0-10.fc21, thanks!


Note You need to log in before you can comment on or make changes to this bug.